Debian Bug report logs - #587570
New, non-broken squeeze images are needed

Package: libparted0-udeb; Maintainer for libparted0-udeb is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for libparted0-udeb is src:parted.

Reported by: "Daniel Richard G." <skunk@iSKUNK.ORG>

Date: Tue, 29 Jun 2010 20:42:02 UTC

Severity: grave

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#587570; Package debian-installer. (Tue, 29 Jun 2010 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Richard G." <skunk@iSKUNK.ORG>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 29 Jun 2010 20:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Daniel Richard G." <skunk@iSKUNK.ORG>
To: "Debian BTS" <submit@bugs.debian.org>
Subject: New, non-broken squeeze images are needed
Date: Tue, 29 Jun 2010 16:39:12 -0400
Package: debian-installer
Version: 20100211
Severity: grave

The installers are currently broken due to bug 583551, which prevents
mkfs.ext3 et al. from working. New images are needed, per tytso in
this message:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=583551#117

Please ensure that the following executables, all of which use libblkid,
run correctly:

    /bin/parted_devices
    /bin/parted_server
    /bin/partmap
    /sbin/blkid
    /sbin/e2fsck
    /sbin/fsck.ext2
    /sbin/fsck.ext3
    /sbin/fsck.ext4
    /sbin/mke2fs
    /sbin/mkfs.ext2
    /sbin/mkfs.ext3
    /sbin/mkfs.ext4
    /sbin/tune2fs
    /usr/sbin/fdisk

(The non-functional parted_devices causes the installer to fail to
detect any disks on the system. I can't say if that is a distinct
bug, however.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#587570; Package debian-installer. (Mon, 05 Jul 2010 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 05 Jul 2010 20:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 587570@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 587570@bugs.debian.org
Subject: update
Date: Mon, 5 Jul 2010 21:34:33 +0100
mkfs.* works fine for me but I get:

main-menu[1962]: (process:4028): parted_devices: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by /lib/libparted.so.0)
main-menu[1962]: (process:4028): parted_devices: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by /lib/libparted.so.0)
main-menu[1962]: (process:4028): parted_devices: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by /lib/libparted.so.0)

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#587570; Package debian-installer. (Mon, 05 Jul 2010 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 05 Jul 2010 20:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 587570@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 587570@bugs.debian.org
Subject: Analysis
Date: Mon, 5 Jul 2010 21:50:25 +0100
libparted0-udeb_2.2-7 udeb has Depends: libblkid1-udeb (>= 2.16)
However, it requires 2.17

alpha1 includes this in the netboot image: libblkid1-udeb 2.16.2-0
So parted_devices is run with the wrong libblkid1-udeb installed
and only _after_ parted_devices is run, some other udev pulls
in the new 2.17 libblkid1-udeb and then parted_devies works.


Jul  5 20:26:36 hw-detect: insmod /lib/modules/2.6.30-2-kirkwood/kernel/drivers/usb/storage/usb-storage.ko 
Jul  5 20:26:36 kernel: [  610.410000] Initializing USB Mass Storage driver...
Jul  5 20:26:36 kernel: [  610.410000] usbcore: registered new interface driver usb-storage
Jul  5 20:26:36 kernel: [  610.410000] USB Mass Storage support registered.
Jul  5 20:26:38 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing
Jul  5 20:30:18 dhclient: DHCPREQUEST on eth0 to 192.168.1.2 port 67
Jul  5 20:30:18 dhclient: DHCPACK from 192.168.1.2
Jul  5 20:30:18 dhclient: bound to 192.168.1.71 -- renewal in 235 seconds.
Jul  5 20:30:20 main-menu[1750]: (process:3867): parted_devices: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by /lib/libparted.so.0)
Jul  5 20:30:20 main-menu[1750]: (process:3867): parted_devices: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by /lib/libparted.so.0)
Jul  5 20:30:20 main-menu[1750]: (process:3867): parted_devices: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by /lib/libparted.so.0)
Jul  5 20:30:22 main-menu[1750]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
Jul  5 20:30:22 main-menu[1750]: INFO: Menu item 'partman-base' selected
Jul  5 20:30:22 anna-install: Installing partman-auto-lvm
Jul  5 20:30:22 anna[4427]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
Jul  5 20:30:22 anna[4427]: DEBUG: retrieving lvm2-udeb 2.02.66-2
Jul  5 20:30:23 anna[4427]: DEBUG: retrieving libtextwrap1-udeb 0.1-9
Jul  5 20:30:23 anna[4427]: DEBUG: retrieving partman-auto-lvm 33
Jul  5 20:30:25 anna[4427]: DEBUG: retrieving partman-lvm 68
Jul  5 20:30:28 anna[4427]: DEBUG: retrieving libblkid1-udeb 2.17.2-3.1
Jul  5 20:30:28 anna[4427]: DEBUG: retrieving libuuid1-udeb 2.17.2-3.1
Jul  5 20:30:28 anna[4427]: DEBUG: retrieving util-linux-udeb 2.17.2-3.1
Jul  5 20:30:29 anna-install: Installing partman-auto-crypto
Jul  5 20:30:29 anna[4625]: DEBUG: resolver (libgcc1): package doesn't exist (ignored)
Jul  5 20:30:29 anna[4625]: DEBUG: retrieving partman-auto-crypto 12
Jul  5 20:30:31 anna[4625]: DEBUG: retrieving partman-crypto 40
Jul  5 20:30:34 kernel: [  848.250000] JFS: nTxBlock = 4030, nTxLock = 32243
Jul  5 20:30:34 md-devices: mdadm: No arrays found in config file or automatically
Jul  5 20:30:34 kernel: [  848.840000] device-mapper: uevent: version 1.0.3
Jul  5 20:30:34 kernel: [  848.840000] device-mapper: ioctl: 4.14.0-ioctl (2008-04-23) initialised: dm-devel@redhat.com
Jul  5 20:30:34 partman:   No matching physical volumes found
Jul  5 20:30:34 partman:   
Jul  5 20:30:34 partman: No volume groups found
Jul  5 20:30:34 partman: 
Jul  5 20:30:34 partman:   Reading all physical volumes.  This may take a while...
Jul  5 20:30:34 partman-lvm:   No volume groups found

-- 
Martin Michlmayr
http://www.cyrius.com/




Bug reassigned from package 'debian-installer' to 'libparted0-udeb'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 05 Jul 2010 20:54:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-installer/20100211. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 05 Jul 2010 20:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#587570; Package libparted0-udeb. (Mon, 05 Jul 2010 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 05 Jul 2010 22:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 587570@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Martin Michlmayr <tbm@cyrius.com>, 587570@bugs.debian.org
Subject: Re: Bug#587570: Analysis
Date: Mon, 5 Jul 2010 19:20:42 -0300
clone 587570 -1
reassign -1 util-linux
retitle -1 Wrong shlibs information
priority -1 important
thanks

Hello,

On Mon, Jul 5, 2010 at 5:50 PM, Martin Michlmayr <tbm@cyrius.com> wrote:
> libparted0-udeb_2.2-7 udeb has Depends: libblkid1-udeb (>= 2.16)
> However, it requires 2.17
>
> alpha1 includes this in the netboot image: libblkid1-udeb 2.16.2-0
> So parted_devices is run with the wrong libblkid1-udeb installed
> and only _after_ parted_devices is run, some other udev pulls
> in the new 2.17 libblkid1-udeb and then parted_devies works.

The cause of parted not having the right depends is due util-linux
packages to provide the symbols and shlibs files. The later gives the
wrong information since it is hardcoded to 2.16 while 2.17 is the
newest one. The right solution from my POV is to use the symbols only
and drop the shlibs.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Bug 587570 cloned as bug 588183. Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Mon, 05 Jul 2010 22:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#587570; Package libparted0-udeb. (Wed, 14 Jul 2010 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Richard G." <skunk@iSKUNK.ORG>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Wed, 14 Jul 2010 22:03:03 GMT) Full text and rfc822 format available.

Message #31 received at 587570@bugs.debian.org (full text, mbox):

From: "Daniel Richard G." <skunk@iSKUNK.ORG>
To: 587570@bugs.debian.org, 588183@bugs.debian.org
Cc: "Otavio Salvador" <otavio@ossystems.com.br>, "Martin Michlmayr" <tbm@cyrius.com>
Subject: Appears to be fixed in early-July squeeze images
Date: Wed, 14 Jul 2010 17:59:12 -0400
A new set of squeeze debian-installer images has appeared in the
repositories (dated July 6 for i386, July 10 for amd64), and with these,
the entire installation process functions flawlessly.

Bug #587570, I believe, can be closed. (I can't speak for bug #588183.)




Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sat, 14 Aug 2010 18:54:03 GMT) Full text and rfc822 format available.

Notification sent to "Daniel Richard G." <skunk@iSKUNK.ORG>:
Bug acknowledged by developer. (Sat, 14 Aug 2010 18:54:03 GMT) Full text and rfc822 format available.

Message #36 received at 587570-done@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 587570-done@bugs.debian.org
Subject: updated images are available
Date: Sat, 14 Aug 2010 18:10:33 +0200
[Message part 1 (text/plain, inline)]
> A new set of squeeze debian-installer images has appeared in the
> repositories (dated July 6 for i386, July 10 for amd64), and with these,
> the entire installation process functions flawlessly.
> 
> Bug #587570, I believe, can be closed. (I can't speak for bug #588183.)

Closing.


Thijs
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Sep 2010 07:36:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:04:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.